<?php

declare(strict_types=1);

namespace LidonationDevs\ADAPAYFWC\Integrations\AdaUsdExchange\Requests;

use Saloon\Enums\Method;
use Saloon\Http\Request;

class CoinbaseGetQuoteRequest extends Request
{
    /**
     * The HTTP method of the request
     */
    protected Method $method = Method::GET;

    public function __construct(protected string $base)
    {

    }

    /**
     * The endpoint for the request
     */
    public function resolveEndpoint(): string
    {
        return 'https://api.coinbase.com/v2/exchange-rates?currency='.$this->base;
    }
}
